package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核内容对象 cmc_assess_content
 * 
 * @author cmc
 * @date 2024-01-09
 */
public class CmcAssessContent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考核内容id(总考核表id+2位) */
    private String contentId;

    /** 承担角色 */
    @Excel(name = "承担角色")
    private String role;

    /** 熟练程度（生疏、熟练、精通） */
    @Excel(name = "熟练程度", readConverterExp = "0=生疏、1=熟练、2=精通")
    private String familiar;

    /** 工作量（较少、正常、较多） */
    @Excel(name = "工作量", readConverterExp = "0=较少、1=正常、2=较多")
    private String workload;

    /** 技能掌握（生疏、较熟练、熟练） */
    @Excel(name = "技能掌握", readConverterExp = "0=生疏、1=较熟练、2=熟练")
    private String skill;

    /** 产品质量（不合格、合格、良好、优秀） */
    @Excel(name = "产品质量", readConverterExp = "0=不合格、1=合格、2=良好、3=优秀")
    private String quality;

    /** 岗位表现（不合格、合格、良好、优秀） */
    @Excel(name = "岗位表现", readConverterExp = "0=不合格、1=合格、2=良好、3=优秀")
    private String assessment;

    /** 考核建议 */
    @Excel(name = "考核建议")
    private String advice;

    public void setContentId(String contentId) 
    {
        this.contentId = contentId;
    }

    public String getContentId() 
    {
        return contentId;
    }
    public void setRole(String role) 
    {
        this.role = role;
    }

    public String getRole() 
    {
        return role;
    }
    public void setFamiliar(String familiar) 
    {
        this.familiar = familiar;
    }

    public String getFamiliar() 
    {
        return familiar;
    }
    public void setWorkload(String workload) 
    {
        this.workload = workload;
    }

    public String getWorkload() 
    {
        return workload;
    }
    public void setSkill(String skill) 
    {
        this.skill = skill;
    }

    public String getSkill() 
    {
        return skill;
    }
    public void setQuality(String quality) 
    {
        this.quality = quality;
    }

    public String getQuality() 
    {
        return quality;
    }
    public void setAssessment(String assessment) 
    {
        this.assessment = assessment;
    }

    public String getAssessment() 
    {
        return assessment;
    }
    public void setAdvice(String advice) 
    {
        this.advice = advice;
    }

    public String getAdvice() 
    {
        return advice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("contentId", getContentId())
            .append("role", getRole())
            .append("familiar", getFamiliar())
            .append("remark", getRemark())
            .append("workload", getWorkload())
            .append("skill", getSkill())
            .append("quality", getQuality())
            .append("assessment", getAssessment())
            .append("advice", getAdvice())
            .toString();
    }
}
